# Module tracer

- Description
- Function Index
- Function Details

Simple Profiler for Scalaris.

Copyright © 2009-2014 Zuse Institute Berlin

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

Simple Profiler for Scalaris.

## Function Index

dump/0 |
dump_perf/0 |
start/0 |
start_perf/0 |
tracer/1 |
tracer_perf/1 |

## Function Details

### start/0

    start() -> ok

### start_perf/0

    start_perf() -> ok

### tracer/1

    tracer(Pid :: comm:erl_local_pid()) -> no_return()

### tracer_perf/1

    tracer_perf(Pid :: comm:erl_local_pid()) -> no_return()

### dump/0

    dump() ->
            [{Pid :: pid(),
              Pid2 :: pid(),
              {M :: module(), F :: atom(), Args :: list()}}]

### dump_perf/0

    dump_perf() ->
                 [{Pid :: pid(),
                   ScheduledIn ::
                       {MegaSecs :: integer(),
                        Secs :: integer(),
                        MicroSecs :: integer()} |
                       ok,
                   Runtime :: integer()}]

Generated by EDoc, Feb 29 2016, 16:12:20.